| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SV_6DOF_GB_BASIC Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_6DOF_GB_BASIC:

## Data Fields
float | fLPPhi
float | fLPThe
float | fLPPsi
float | fLPRho
float | fLPChi
float | fLPR [3][3]
struct fquaternion | fLPq
float | fLPRVec [3]
float | fOmega [3]
int32 | systick
float | fR [3][3]
struct fquaternion | fq
float | fDelta
float | fLPDelta
float | fdeltat
float | flpf
int8 | resetflag

## Detailed Description

Definition at line 155 of file fusion_types.h.

## Field Documentation

float fDelta

Definition at line 175 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fdeltat

Definition at line 177 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

float fLPChi

Definition at line 163 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fLPDelta

Definition at line 176 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

float flpf

Definition at line 178 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

float fLPPhi

Definition at line 159 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fLPPsi

Definition at line 161 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

struct fquaternion fLPq

Definition at line 166 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

float fLPR[3][3]

Definition at line 165 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

float fLPRho

Definition at line 162 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fLPRVec[3]

Definition at line 167 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fLPThe

Definition at line 160 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fOmega[3]

Definition at line 169 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

struct fquaternion fq

Definition at line 174 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

float fR[3][3]

Definition at line 173 of file fusion_types.h.

Referenced by fRun_6DOF_GB_BASIC().

int8 resetflag

Definition at line 179 of file fusion_types.h.

Referenced by fInit_6DOF_GB_BASIC(), and fRun_6DOF_GB_BASIC().

int32 systick

Definition at line 171 of file fusion_types.h.

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.